#include<iostream>

#include<cmath>
using namespace std;
int main(){

long double L,R,n,p,q,r;
long long int t;
cin>>p;
cin>>q;
cin>>r;
cin>>L;
cin>>R;
t=0;
n=L;
while (n<=R){
	if(ceil(n/p)+ceil(n/q)+ceil(n/r)<=n){
	t=t+1;
}
n++;	
}

cout<<t;


}